//---------------------------------------------------------------------------

#ifndef gui_ProgressH
#define gui_ProgressH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

#include "font.h"

class Tgui_Progress_Form : public TForm
{
__published:	// IDE-managed Components
        void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
private:	// User declarations
public:		// User declarations

        __fastcall Tgui_Progress_Form(TComponent* Owner);

        //[2012.04.29.일][완료!!!]
        __fastcall ~Tgui_Progress_Form(void);

        //[서브클래싱]
        //{
            void __fastcall WndProc(Messages::TMessage &Message);
        //}

        //[VAR]
        //{
            //[환경변수]
            //{
                //[2007.10.02.화][추가!!!]
                struct  IDE_OPTION   *_ide_option;

            //}

            //[실제 그리는 영역]{------
            Graphics::TBitmap  *_bmp_;
            //}------------------------

            //[사용글꼴]{--------------
            struct FONTPACK     _font;
            //}------------------------

            //[환경변수]

            //[2008.02.03.일][추가!!!]{-----------------------------------------
            //[풍선도움말] 에 출력할 문자열을 가진다.
            //단, 메모리 낭비를 막기 위하여 해당 사용이 설정된 경우만 처리한다.
            bool   _balloonHelpUse; //(기본 : false)

            //동적 생성시 크기를 주어 설정한다.
            char  *_balloonHelpStr;
            //}-----------------------------------------------------------------

            //[2008.03.03.월][추가!!!]
            int    _backColor;            //배경색. (BASE : 바탕색)
            int    _borderColor;          //테두리 색. (BASE : 테마색)

            int    _progressBorderColor;  //진행막대 테두리색. (BASE : 테마색)
            int    _progressBackColor;    //진행막대 바탕색. (BASE : 바탕색)
            int    _progressColor;        //진행막대 색. (BASE : 테마색)

            int    _borderGap;            //전체 테두리와 진행막대 테두리의 간격. (BASE : 2 pixel)

            int    _min;                  //진행막대 최소값. (BASE : 0)
            int    _max;                  //진행막대 최대값. (BASE : 100)
            int    _progress;             //진행정도.        (BASE : 50)
                                          //_min <= _progress <= _max 
        //}

        //[FUNCTION]
        //{
            //[2008.02.03.일][완료!!!]{--------------------
            void __fastcall _BalloonHelpUse(bool    pUse);
            void __fastcall _BalloonHelpStr(char   *pStr);
            //}--------------------------------------------

            //[2006.10.26.목][완료!!!]
            void __fastcall _Draw(void);

            //[2009.08.10.월][완료!!!]
            void __fastcall _Shape(void);

            //[2008.03.03.월][완료!!!]
            void __fastcall _BackColor(int  pBackColor);

            //[2008.03.03.월][완료!!!]
            void __fastcall _BorderColor(int  pBorderColor);

            //[2008.03.09.일][완료!!!]
            //{
                void __fastcall _ProgressBorderColor(int  pProgressBorderColor);
                void __fastcall _ProgressBackColor(int  pProgressBackColor);
                void __fastcall _ProgressColor(int  pProgressColor);
                void __fastcall _BorderGap(int  pBorderGap);
                void __fastcall _Min(int  pMin);
                void __fastcall _Max(int  pMax);
                void __fastcall _Progress(int  pProgress);

            //}

            //[2008.03.03.월][완료!!!]
            void __fastcall _Left(int  pLeft);

            //[2008.03.03.월][완료!!!]
            void __fastcall _Top(int  pTop);

            //[2008.03.03.월][완료!!!]
            void __fastcall _Width(int  pWidth);

            //[2008.03.03.월][완료!!!]
            void __fastcall _Height(int  pHeight);

        //}


};
//---------------------------------------------------------------------------
extern PACKAGE Tgui_Progress_Form *gui_Progress_Form;
//---------------------------------------------------------------------------
#endif
